apiVersion: networking.k8s.io/v1
kind: NetworkPolicy
metadata:
  name: external-secrets-store-network-policy
  namespace: {{ .Values.externalSecrets.namespace }}
spec:
  podSelector:
    matchLabels:
      app.kubernetes.io/instance: {{ .Release.Name }}
  # Allow egress to kubeapi and google secret manager. At the moment there is no easy way to accomplish that.
  egress:
    - {}
  ingress:
    - from:
        - namespaceSelector:
            matchLabels:
              kubernetes.io/metadata.name: kube-system
  policyTypes:
    - Egress
    - Ingress